%define name	flemm
%define version	2
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Inflectional analysis on French texts
Source:		%{name}-%{version}.tar.bz2
Patch:		%{name}.path.patch.bz2
URL:		http://www.univ-nancy2.fr/pers/namer/Telecharger_Flemm.htm
License:	GPL
Group:		Sciences/Computer science
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

%description
FLEMMv2 is a Perl5 program that performs inflectional analysis on French texts
which have previously been tagged (eg. by the Brill tagger). This is a small
program, (60kb in a zipped format) mainly rule-based (i.e. only a 3000 words
lexicon is used in order to deal with exceptions). It runs on PCs or
Workstation, under Unix, Linux or Windows95/NT OS.

This is the second version; the differences with the first one are :
- bugs have been fixed,
- the input text can be tagged either with Brill or with TreeTagger,
  (in the v1.1 only Brill was possible)
- the command line has bezen slightly modified

%prep
%setup -q
%patch

%build

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 flemm.perl $RPM_BUILD_ROOT%{_bindir}/flemm.perl

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 entrees_sorties entrees_sortiesTT exceptions lemmatizer $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/EXCEP
install -m 644 EXCEP/* $RPM_BUILD_ROOT%{_datadir}/%{name}/EXCEP


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENCE.txt README.txt
%{_bindir}/flemm.perl
%{_datadir}/%{name}

%changelog
* Thu Jan 08 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2-1mdk
- first mdk release
